Edge Rewrite
Jump to content

Template talk:Contains special characters

Page contents not supported in other languages.
Add topic
From Wikipedia, the free encyclopedia

Anatolian hieroglyphs, Linear B, Phoenician, and Aramaic

[edit]

Can support for Anatolian hieroglyphs, Linear B script, Phoenician script, and Aramaic script be added to the list of languages? Antiquistik (talk) 23:39, 18 October 2025 (UTC)Reply

Sure, just need to know what to say. Primefac (talk) 18:03, 19 October 2025 (UTC)Reply
@Primefac For Anatolian hieroglyphs: This page contains Anatolian hieroglyphic text. Without proper rendering support, you may see question marks, boxes, or other symbols instead of Anatolian hieroglyphs.
For Linear B: This page contains Linear B text. Without proper rendering support, you may see question marks, boxes, or other symbols instead of Linear B script.
For Phoenician alphabet: This page contains Phoenician text. Without proper rendering support, you may see question marks, boxes, or other symbols instead of Phoenician script.
For Aramaic alphabet: This page contains Aramaic text. Without proper rendering support, you may see question marks, boxes, or other symbols instead of Aramaic script.
Antiquistik (talk) 18:13, 19 October 2025 (UTC)Reply
Okay, let me rephrase. Currently your text is identical to the base use, e.g. {{contains special characters|special=Linear B}}; I have somewhat gotten away from that in recent years, but we shouldn't be hardcoding every possible language into the template just to save typing out |special=. If there is something different about these languages, then I can absolutely add them, but I'll need to know those differences. Primefac (talk) 22:09, 2 November 2025 (UTC)Reply
@Primefac In this case, support for only Aramaic and Phoenician would be needed, as they require special fonts to display as intended on PC. Antiquistik (talk) 22:21, 5 November 2025 (UTC)Reply

Edit request 3 March 2026

[edit]

From:[[Specials (Unicode block)#Replacement character|question marks, boxes, or other symbols]]

To: [[Specials (Unicode block)#Replacement character|question marks, boxes, other symbols, or nothing at all]]

Reasoning: Browsers can sometimes simply not display a unicode character it doesn't recognize. AndyShow1000000 (talk) 01:49, 4 March 2026 (UTC)Reply

Please give a couple of examples. – Jonesey95 (talk) 11:59, 4 March 2026 (UTC)Reply

Are there still devices that do not support Thai and Vietnamese ?

[edit]

This template is very unnecessary when it comes to common languages, also see Wikipedia:Templates for discussion/Log/2017 November 7#Template:Contains Chinese text, Wikipedia:Templates for discussion/Log/2019 July 26#Template:Contains Arabic text Cormogeon (talk) 19:45, 13 April 2026 (UTC)Reply

If you think there are articles where use of this template is unnecessary, you are welcome to remove those transclusions (or start a discussion to do so). Primefac (talk) 19:07, 17 April 2026 (UTC)Reply
I'm not sure about Chữ Nôm. Henrydat (talk) 09:17, 19 April 2026 (UTC)Reply
A bit late to this, but I previously attempted to raise the issue here in 2020, and started a deletion discussion for several templates. There wasn't consensus to delete all of them, but they got merged into what is now this template. I would agree that Thai and Vietnamese are very commonly supported and should be deprecated. --Paul_012 (talk) 15:37, 22 May 2026 (UTC)Reply
That is, for better or worse, not an issue related to this template. If folk feel that this template is unnecessary on pages with Thai, Vietnamese, or another foreign language, then it should simply be removed (following a consensus-building discussion, if necessary). I would also note that removing |Thai as an option from this template wouldn't really do anything because the full {{Contains special characters}} code could be used instead. Primefac (talk)
@Primefac: You seem to be suggesting a per-article approach, which doesn't make much sense to me. If a warning for Thai/Vietnamese is unneeded, then it's unneeded at all articles where those characters are used. The discussion should be centralized and the concensus decision implemented everywhere. Sdkbtalk 19:16, 25 June 2026 (UTC)Reply
No, I am saying that removing the |Thai option from this template will not stop people from potentially adding this template and using a custom code. If you want to prevent people from using this template at all on Thai articles, that's an entirely different kettle of fish and, quite honestly, not something that this template would be able to deal with. Primefac (talk) 22:35, 25 June 2026 (UTC)Reply
The issue is how do I find {{Contains special characters|Vietnamese}} tranclusion to replace with {{Contains special characters|Nom}} when page uses chu nom? We have nothing to do if it is in use or delete this template. Henrydat (talk) 16:03, 30 June 2026 (UTC)Reply
insource search shows 71 pages, though that might miss pages that use any of the template redirects. Primefac (talk) 06:48, 1 July 2026 (UTC)Reply
Thanks. I don't have any issues with other Vietnamese and Thai but I think readers should be noticed for such chu nom situation or they simply don't want to. Henrydat (talk) 07:07, 1 July 2026 (UTC)Reply
[edit]

Multiple templates, like Lontara, have the font support link set to archaic Hangul. I would fix this, but I don’t have the perms. rariteh (talk) 01:43, 25 May 2026 (UTC)Reply

Some recent changes broke things. I've restored an older version until that can get sorted out. Primefac (talk) 11:37, 25 May 2026 (UTC)Reply
@Primefac hello, how should I go about fixing this? grapesurgeon (talk) 12:57, 2 June 2026 (UTC)Reply
Sync the sandbox with the live template and try again. If you are not familiar with #switch statements and how they are coded on Wikipedia, give H:SWITCH a read-through. I'm more than happy to give thoughts and advice on the subject. Primefac (talk) 20:19, 2 June 2026 (UTC)Reply

Edit request 21 June 2026

[edit]

Description of suggested change:

Change the Vietnamese descriptor (starting with "chữ Hán" and ending with "chữ Quốc ngữ") to a more general description, largely due to the fact that the warning itself already contains Quốc ngữ text. More specifically, in the case that the reader doesn't have Quốc ngữ support, the CSC will display as: This page contains Vietnamese text. Without proper rendering support, you may see question marks, boxes, or other symbols instead of ch█ N█m, ch█ H█n and ch█ Qu█c ng█.

Diff:

Vietnamese = [[chữ Nôm]], [[chữ Hán]] and [[Vietnamese alphabet|chữ Quốc ngữ]]
+
Vietnamese = [[Vietnamese writing systems|Vietnamese scripts]].

.n (happy ptide month and in solidarity) 14:34, 21 June 2026 (UTC)Reply

 Done Primefac (talk) 14:40, 21 June 2026 (UTC)Reply

Can we avoid displaying this template where it's not needed?

[edit]